Skip to main content

Endpoint

POST /info

Request Body

ParameterTypeDescription
type*stringMust be "historicalOrders"
user*stringUser wallet address

Response

[
  {
    "order": {
      "coin": "BTC",
      "side": "B",
      "limitPx": "50000.00",
      "sz": "0",
      "oid": "0x1234abcd...",
      "orderType": "limit",
      "timestamp": 1701234567890,
      "origSz": "0.1",
      "isTrigger": false,
      "triggerPx": "0",
      "children": [],
      "isPositionTpsl": false,
      "reduceOnly": false,
      "tif": "Gtc",
      "cloid": null,
      "parentOrderId": null,
      "twapOrderId": "0xaaaa...",
      "twapSliceIndex": 0
    },
    "status": "partiallyFilled",
    "statusTimestamp": 1701234670000
  }
]

Notes

  • order.oid is the internal Notional order id string. - Possible status values include filled, partiallyFilled, canceled, triggered, rejected, and marginCanceled. - TWAP child orders include twapOrderId and twapSliceIndex.